Module java.base
Package javax.crypto.interfaces

# Interface DHPublicKey

All Superinterfaces:
  `DHKey`, `Key`, `PublicKey`, `Serializable`

public interface DHPublicKey extends DHKey, PublicKey
The interface to a Diffie-Hellman public key.

Since:
  1.4
See Also:
  - `DHKey`
  - `DHPrivateKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getY()`
Returns the public value, `y`.

### Methods declared in interface javax.crypto.interfaces.DHKey

`getParams`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

See Also:
  - Constant Field Values

## Method Details

### getY

BigInteger getY()
Returns the public value, `y`.

Returns:
  the public value, `y`